.wf-menu-container {
  position: relative;
}

.wf-menu-container ul {
  background: #fff;
  border-radius: 3px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.wf-menu {
  display: none;
  position: absolute;
  width: 200px;
  padding: 0;
  margin: 5px 0px 0px 0px;
}

.wf-menu li {
  list-style-type: none;
  padding-left: 0px;
  position: relative;
  color: #333;
  transition: .3s;
  font-size: 12px;
}

.wf-menu a,
.wf-menu span {
  text-decoration: none;
  color: inherit;
  display: block;
  padding: 5px 10px;
  cursor: pointer;
}

.wf-menu ul {
  display: none;
  position: absolute;
  right: -250px;
  top: 0;
  width: 250px;
  padding: 0;
}

.wf-menu li span::after {
  content: "\203A";
  position: absolute;
  right: 10px;
  font-size: 14px;
}

.wf-menu li:hover {
  background: #E6F7FF;
}

ul.sub-menu-active {
  display: block;
}

span.sub-menu-active-span {
  background: #E6F7FF;
}

.buttons_container {
  display: flex;
}

.buttons_container button {
  border: 1px solid #1890FF;
  background: #1890FF;
  color: #fff;
  cursor: pointer;
  font-weight: bold;
  transition: .3s;
}

.buttons_container button:first-child {
  border-radius: 6px 0 0 6px;
  padding: 5px 20px;
}

.buttons_container button:last-child {
  border-radius: 0 6px 6px 0;
  border-left: 1px solid #64abf3;
  padding: 0 10px;
}


.buttons_container button:hover {
  background-color: #49a7ff;
  border-color: #49a7ff;
}

.wf-menu hr {
  margin: 0;
}

.wf_favorites_modal_container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin: 15px 20px;
  overflow: hidden;
}

.wf_favorites_items_container {
  width: 100%;
  min-height: 100px;
  max-height: 400px;
  border: 1px solid #cfcfcf;
  overflow: auto;
}

.wf_favorites_buttons {
  display: flex;
  justify-content: center;
  border-top: 1px solid #cfcfcf;
  padding-top: 10px;
}

.wf_favorites_items_container>div {
  width: 100%;
  display: flex;
  gap: 10px;
  padding: 5px 10px;
  user-select: none;
  transition: 0.3s;
  color: #333;
  font-size: 14px;
}

.wf_favorites_items_container>div:nth-child(2n) {
  background: #fbfbfb;
}

.wf_favorites_items_container>div:hover {
  background: #E6F7FF;
}

.wf_favorites_items_container .favorites_group {
  font-weight: bold;
  padding-left: 40px;
}

.wf_favorites_items_container .favorites_item_container.selected {
  background: #E6F7FF;
}

.favorites_icon {
  cursor: pointer;
  transition: .3s;
}

.favorites_icon[is_bookmark = "true"] {
  color: #d8cb0f;
}

.favorites_icon[is_bookmark = "true"] polygon {
  fill: #ffef00;
}

.favorites_icon[is_bookmark = "true"]:hover {
  color: #333;
}

.favorites_icon[is_bookmark = "true"]:hover polygon {
  fill: #fff;
}

.favorites_icon[is_bookmark = "false"]:hover {
  color: #d8cb0f;
}

.favorites_icon[is_bookmark = "false"]:hover polygon {
  fill: #d8cb0f;
}
